
# -*- coding: utf-8 -*-

import xbmc
import re
import requests

from bs4 import BeautifulSoup
from resources.lib.modules import client
from resources.lib.clean import clean
from resources.lib.clean import setView
from resources.lib.clean import openn
from resources.lib.clean import addon

def pt_menu():
    openn.addDir('[B][COLOR green]' +addon.Lang(32050).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/',33,'https://i.imgur.com/Mveo2KC.png',addon.art,'')
    openn.addDir('[B][COLOR yellow]' +addon.Lang(32051).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/',85,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32026).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%B4%CF%81%CE%AC%CE%BC%CE%B1/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32025).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%B4%CF%81%CE%AC%CF%83%CE%B7/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32028).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%B5%CF%80-%CF%86%CE%B1%CE%BD%CF%84%CE%B1%CF%83%CE%AF%CE%B1%CF%82/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32030).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%BA%CF%89%CE%BC%CF%89%CE%B4%CE%AF%CE%B1/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32052).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/quality/metaglotismeno/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32053).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%BC%CE%B9%CE%BA%CF%81%CE%BF%CF%8D-%CE%BC%CE%AE%CE%BA%CE%BF%CF%85%CF%82/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32008).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%BC%CE%BF%CF%85%CF%83%CE%B9%CE%BA%CE%AE/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32032).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CE%BF%CE%B9%CE%BA%CE%BF%CE%B3%CE%B5%CE%BD%CE%B5%CE%B9%CE%B1%CE%BA%CE%AE/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32034).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CF%80%CE%B5%CF%81%CE%B9%CF%80%CE%AD%CF%84%CE%B5%CE%B9%CE%B1/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32037).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/%CF%86%CE%B1%CE%BD%CF%84%CE%B1%CF%83%CE%AF%CE%B1%CF%82/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32054).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/category/christmass/',29,'http://i.imgur.com/6bEuWDo.png',addon.art,'')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ '[/COLOR][/B]','http://paidikestainies.online/',98,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'')


def pt_year(url):#movies
    r = client.request(url)
    data = client.parseDOM(r, 'div', attrs={'id': 'moviehome'})[0]
    data = client.parseDOM(data, 'div', attrs={'class':'filtro_y'})[0]
    data = client.parseDOM(data, 'li')
    for i in data:
        url = client.parseDOM(i, 'a', ret='href')[0]
        if '1999-2010/' in url: continue
        name = client.parseDOM(i, 'a')[0]
        name = name.encode('utf-8')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url,29,'https://i.imgur.com/Mveo2KC.png',addon.art,'')


def pt_content(url):
    r = client.request(url)
    data = client.parseDOM(r, 'div', attrs={'id': 'mt-\d+'})
    for i in data:
        try:
            url = client.parseDOM(i, 'a', ret='href')[0]
            icon = client.parseDOM(i, 'img', ret='src')[0]
            name = client.parseDOM(i, 'img', ret='alt')[0].encode('utf-8')
            cal = client.parseDOM(i, 'span', attrs={'class': 'calidad2'})[0].encode('utf-8')
            cal = cal.replace('Μεταγλωτισμένο','Μεταγ').replace('Ελληνικοί','')
            cal = cal.replace('Υπότιτλοι','Υπότ').replace(' /  ','/').strip()
            cal = cal.replace('Χωρίς υπότιτλους','Χωρίς Υπότ')
            year = client.parseDOM(i, 'span', attrs={'class': 'year'})[0].encode('utf-8')
            if '/' in name:
                name = name.split('/')[1].strip()
            name = name + ' |' + '[COLORlime]'+ year + '[/COLOR]' +'|' + cal + '|'
            name = clean.Clean(name)
            desc = client.parseDOM(i, 'span', attrs={'class': 'ttx'})[0].encode('utf-8')
            desc = clean.Clean(desc)
            desc = desc.replace('&#160;','')
            desc = desc.split('<div')[0]
            rat = client.parseDOM(i, 'span', attrs={'class': 'dato'})[0].encode('utf-8')
            rat = 'IMDB: %s' % re.findall('(\d+\.\d+\/\d+)', rat)[0]#rat = rat.replace('<b>', '').split('</b>')[0]
            rat2 = client.parseDOM(i, 'span', attrs={'class': 'calidad2'})[0]
            if 'Προσεχώς' in rat2: continue
            t = '***Περίληψη***'
            openn.addDir('[B][COLOR white]%s[/COLOR][/B] [COLOR white]%s[/COLOR]'
            % (name, rat), url, 30, icon, addon.art,'[B][COLOR green]\n%s[/COLOR][/B]''%s' % (t, desc))
        except:
            pass
    try:
        m=re.compile('<div class="pag_b"><a href="(.+?)" data-wpel-link="internal">Next</a></div>').findall(r)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]',m,29,'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:pass
    setView.setView('movies', 'movie-view')

def pt_surces(url):
    p = openn.Open_Url(url)
    m1 = re.compile('class="calidad2">(.+?)</span>.+?<img itemprop="image" src="(.+?)" alt="(.+?)" />.+?<i itemprop="duration">(.+?)</i>',re.DOTALL).findall(p)
    for title,icon,name2,time in m1:
        title = title.replace('λωτισμένο','').replace('Ελληνικοί','') + '|'
        name2 = name2.replace('&#8217;','').replace('&#038;','').replace('&#8211;','').replace('&#8221;','').replace('&#8220;','')
        name2 = name2 + '[COLOR green]|[/COLOR]'
        if '/ ' in name2:
            name2 = name2.split('/ ')[1]
        if '\ ' in name2:
            name2 = name2.split('\ ')[1]
        time = time.replace('min','Λεπτά')
        m2 = re.compile('href="(.+?)"',re.DOTALL).findall(p)
        for url in m2:
            if any(x in url for x in ['openload','vidto','flashx','streamango','streamin'
                ,'vidoza','vidlox','estream','streamcloud','streamin','clipwatching']):
                url = re.sub('http://adf.ly/\w+/', '', url)
                host = url.split('//')[1].replace('www.', '')
                host = host.split('/')[0].split('.')[0].title()
                host = host + '|'
                w = '***Περίληψη***'
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '%s''%s''[COLOR yellow]%s[/COLOR]'
                %(name2,host,title,time),url,200,icon,addon.art,'')


def pt_kat(url):#series
    r = client.request(url)
    items = client.parseDOM(r, 'div', attrs={'id': 'serieshome'})[0]
    items = client.parseDOM(items, 'li', attrs={'class': 'cat-item.+?'})
    for i in items:
        url = client.parseDOM(i, 'a', ret='href')[0]
        name = client.parseDOM(i, 'a')[0]
        name = name.replace(' &amp; ',':')
        name = name.encode('utf-8')
        if 'Kids' in name or 'Western' in name: continue
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url,84,'http://i.imgur.com/T8NlaOf.png',addon.art,'')


def pt_contents(url):#series
    r = client.request(url)
    items = client.parseDOM(r, 'div', attrs={'class': 'peliculas'})[0]
    items = client.parseDOM(items, 'div', attrs={'id': 'mt-.+?'})
    for i in items:
        url = client.parseDOM(i, 'a', ret='href')[0]
        icon = client.parseDOM(i, 'img', ret='src')[0]
        t = '***Περίληψη***'
        desc = client.parseDOM(i, 'span', attrs={'class': 'ttx'})[0].encode('utf-8')
        #year = client.parseDOM(i, 'span', attrs={'class': 'year'})[0].encode('utf-8')
        desc = desc.strip().split('<div')[0].replace('&#160;','')
        desc = clean.Clean(desc)
        name = client.parseDOM(i, 'h2')[0].encode('utf-8')
        if '/' in name:
            name = name.split('/')[0]
        if 'Μεταγλωτισμένο' in name:
            name = name.replace('Μεταγλωτισμένο','Μεταγ.').encode('utf-8')
        name = clean.Clean(name)
        m = re.compile('<div class="degradado">.+?class="dato">(.+?)<b>(.+?)</b>.+?<span class="year">(.+?)</span>', re.DOTALL).findall(i)
        for name2,rat,year in m:
            name2 = name2.encode('utf-8')
            rat = rat.encode('utf-8')
            year = year.encode('utf-8')
            year =  '[B]|[/B]' + '[B][COLORlime]' + year + '[/B][/COLOR]' + '[B]|[/B]'
            openn.addDir('[B][COLOR white]%s[/COLOR][/B] %s' '%s' '%s'
                %(name,year,name2,rat),url,86,icon,addon.art,'[B][COLOR green]%s[/COLOR][/B]''%s' %(t + '\n',desc))
    try:
        m=re.compile('<div class="pag_b"><a href="(.+?)" data-wpel-link="internal">Next</a></div>').findall(r)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]',m,84,'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:pass
    setView.setView('movies', 'movie-view')


def pt_surcess(url):#seires
    r = openn.Open_Url(url)
    soup = BeautifulSoup(r, "html.parser")
    for i in soup.findAll('div', class_="imagen"):
        icon = i.img['src']
    m = re.compile('href="(.+?)">(.+?)<', re.DOTALL).findall(r)
    for link, name in m:
        if any(x in link for x in ['openload','vidto','flashx','streamango','streamin','hdvid','vidd'
            ,'vidoza','vidlox','estream','streamcloud','streamin','clipwatching','thevideo','vidzi']):
            link = re.sub('http://adf.ly/\w+/', '', link)
            link = link.split('"')[0]
            host = link.split('//')[1].replace('www.', '')
            host = host.split('/')[0].split('.')[0].title()
            name + '|' + name
            name = clean.Clean(name)
            host = '[B][COLOR green]|[/COLOR][/B]' + host
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '%s' % (name, host),link,200,icon,addon.art,'')

def Search3():
        keyb = xbmc.Keyboard('', 'Search')
        keyb.doModal()
        if (keyb.isConfirmed()):
                search = keyb.getText().replace(' ','+')
                url = 'http://paidikestainies.online/?s=' + search
                pt_content(url)
        else: return
##########################################################################################################################################################################

def KIDSANIME_menu():
    openn.addDir('[B][COLOR white]Παιδικά Μεταφρασμένα[/COLOR][/B]','https://oipeirates.tv/genre/kin-sxedia',9,'https://oipeiratesonline.r.worldssl.net/wp-content/uploads/images/logo.png',addon.art,'')
    openn.addDir('[B][COLOR white]Παιδικά Υπότιτλοι[/COLOR][/B]','https://oipeirates.tv/genre/kin-sxedia-subs',9,'https://oipeiratesonline.r.worldssl.net/wp-content/uploads/images/logo.png',addon.art,'')
    openn.addDir('[B][COLOR white]Αnime Ταινίες[/COLOR][/B]','https://oipeirates.tv/genre/animemovies',9,'https://oipeiratesonline.r.worldssl.net/wp-content/uploads/images/logo.png',addon.art,'')

def KIDSANIME():
    openn.addDir('[B][COLOR white]Παιδικά [/COLOR][COLOR green]peirates[/COLOR][/B]','https://oipeirates.tv/',104,'https://oipeiratesonline.r.worldssl.net/wp-content/uploads/images/logo.png',addon.art,'Ξενες ταινιες με υποτιτλους.')
    openn.addDir('[B][COLOR white]Παιδικά  [/COLOR][COLOR green]gamatotv[/COLOR][/B]','http://gamatotv.co/groups/group/',105,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'Ξενες ταινιες με υποτιτλους.')

def KIDSANIME_gamato():
    openn.addDir('[B][COLOR white]mostActive[/COLOR][/B]','http://gamatotv.co/groups/group/listByLocation?location=%CE%A0%CE%B1%CE%B9%CE%B4%CE%B9%CE%BA%CE%AC&sort=mostActive',26,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'')
    openn.addDir('[B][COLOR white]latestActivity[/COLOR][/B]','http://gamatotv.co/groups/group/listByLocation?location=%CE%A0%CE%B1%CE%B9%CE%B4%CE%B9%CE%BA%CE%AC&sort=latestActivity',26,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'')
    openn.addDir('[B][COLOR white]mostRecent[/COLOR][/B]','http://gamatotv.co/groups/group/listByLocation?location=%CE%A0%CE%B1%CE%B9%CE%B4%CE%B9%CE%BA%CE%AC&sort=mostRecent',26,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'')

def peirates(url):
    p = client.request(url)
    try:
        m = re.compile('class=movief.+?href=(.+?)>.+?src=(.+?.jpg).+?alt="(.+?)"', re.DOTALL).findall(p)
    except IndexError:
        m = re.compile('class="movief.+?href=(.+?)>.+?src="(.+?.jpg)".+?alt="(.+?)"', re.DOTALL).findall(p)
    for link, icon, name in m:
        name = name.split('&#038;')[0]
        name = name.split('&#8217;')[0]
        name = name.split('&#8211;')[0]
        icon = icon.replace('-119x125', '')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, link, 43, icon, addon.art, '')
    try:
        if not '/page/' in url:
            page = 2
            m = '%s/page/%s' % (url, page)
        else:
            page = url.split('/')[-1]
            page = int(page) + 1
            m = url.split('page/')[0] + 'page/%s' % page
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', m, 9, 'http://i.imgur.com/rKSs0yq.png', addon.art,
                     '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')

def get_peirates(url):
    p = openn.Open_Url(url)
    m = re.compile('href="(.+?)"').findall(p)
    for url in m:
        if any(x in url for x in ['openload','vidto','flashx','streamango','streamin','hdvid','vidd'
            ,'vidoza','vidlox','estream','streamcloud','streamin','clipwatching','thevideo','vidzi']):
            name = url
            name = name.split('.')[0]
            name = name.replace('http://','').replace('https://','')
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url,200,addon.icon,addon.art,'')

##################################################################################################################################################################################
def yousmile():
    openn.addLink('[B][COLOR white]Yousmile[/COLOR][/B][B][COLOR green]Radio[/COLOR][/B]','http://eco.onestreaming.com:8352/;','','http://www.yousmile.gr/sites/all/themes/yousmile/images/radio_btn.png',addon.art,'')
    openn.addDir('[B][COLOR white]Εκπομπές[/COLOR][/B]','http://www.yousmile.gr/gallery?field_category_gallery_tid_i18n=1442',1001,'http://www.yousmile.gr/sites/default/files/logo_0.png',addon.art,'')
    openn.addDir('[B][COLOR white]Συνεντεύξεις[/COLOR][/B]','http://www.yousmile.gr/gallery?field_category_gallery_tid_i18n=1627',1001,'http://www.yousmile.gr/sites/default/files/logo_0.png',addon.art,'')
    openn.addDir('[B][COLOR white]Ρεπορτάζ[/COLOR][/B]','http://www.yousmile.gr/gallery?field_category_gallery_tid_i18n=1759',1001,'http://www.yousmile.gr/sites/default/files/logo_0.png',addon.art,'')
    openn.addDir('[B][COLOR white]Βίντεο[/COLOR][/B]','http://www.yousmile.gr/gallery?field_category_gallery_tid_i18n=1441',1001,'http://www.yousmile.gr/sites/default/files/logo_0.png',addon.art,'')

def yousmile1(url):
    r = client.request(url)
    m = re.compile('<img typeof="foaf:Image" src="(.+?)" width="177" height="135" alt="" />.+?<span class="field-content"><a href="(.+?)">(.+?)</a></span>',re.DOTALL).findall(r)
    for icon,url,name in m:
        url = 'http://www.yousmile.gr' + url
        openn.addDir(name,url,1002,icon,addon.art,'')
    try:
        m = re.compile('<li class="pager-next last"><a href="(.+?)" title="Επόμενη σελίδα" class="active">επόμενη ›</a></li>').findall(r)[0]
        m = 'http://www.yousmile.gr' + m
        m = m.replace('amp;','')
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]',m,1001
            ,'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:pass
    setView.setView('movies', 'movie-view')

def yousmile2(name,url):
    r = requests.get(url)
    soup = BeautifulSoup(r.content, "html.parser")
    for a in soup.findAll(class_="media-youtube-preview-wrapper"):
         url = a.embed['src']
         url = url.replace('v/','watch?v=')
         url = url.split('?version=3')[0]
         openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url
            ,200,'http://www.yousmile.gr/sites/default/files/logo_0.png',addon.art,'')

################################################################################################################################################
def anime_eidos(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.content, "html.parser")
    for a in soup.findAll('div', id="panel-956-0-0-0"):
        for e in a.findAll('a'):
            name = e.text.encode('utf-8')
            name2 = e.next.next.encode('utf-8')
            name = name.replace('–)',')').replace('- )',')').replace('– )',')').replace('-)',')')
            url = e['href']
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '[COLOR yellow]%s[/COLOR]' %(name,name2),url,2012,'http://asian-anime.to/anime/wp-content/uploads/2017/09/random_anime_icon_2_by_kittycatqueen-d83xb49.png',addon.art,'')
    else:
        openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ '[/COLOR][/B]','http://asian-anime.to/anime/',2014,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'')

def get_anime(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.content, "html.parser")
    for a in soup.findAll('div', id="content"):
        for e in a.findAll('a'):
            url = e['href']
            for i in e.findAll('img'):
                icon = i['src']
                icon = icon.replace('-102x150','')
                name = i.get('alt').encode('utf-8')
                name = name.replace('–)',')').replace('- )',')').replace('– )',')').replace('-)',')')
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' %name,url,2013,icon,addon.art,'')
    else:
        for next in soup.findAll(class_="next page-numbers"):
            url = next['href']
            openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]',url,2012,'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')

def get_s(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.content, "html.parser")
    for a in soup.findAll(id="content"):
        for d in a.findAll('p')[1:2]:
            desc = d.text.encode('utf-8')
        for n in a.findAll('h1'):
            name = n.text.encode('utf-8')
            name = name.replace('–)',')').replace('- )',')').replace('– )',')').replace('-)',')')
        for i in a.findAll('img')[1:]:
            icon = i['src']
        for u in a.findAll('a'):
            url = u['href']
            url = re.sub('http://adf.ly/\w+/', '', url)
            name3 = u.text.encode('utf-8')
            if any(x in url for x in ['openload','vidto','flashx','streamango','streamin','hdvid','vidd'
                ,'vidoza','vidlox','estream','streamcloud','streamin','clipwatching','thevideo','vidzi']):
                name2 = url.split('//')[1].replace('www.', '')
                name2 = name2.split('/')[0].split('.')[0].title()
                name2 = '|' +name2.encode('utf-8')
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '[B][COLOR green]%s[/COLOR][/B]' '%s' %(name,name3,name2),url,200,icon,addon.art,desc)

def Search10():
        keyb = xbmc.Keyboard('', 'Search')
        keyb.doModal()
        if (keyb.isConfirmed()):
                search = keyb.getText().replace(' ','+')
                url = 'http://asian-anime.to/anime/?s=' + search
                get_anime(url)
        else: return
