# -*- coding: utf-8 -*-
from bs4 import BeautifulSoup

from resources.lib.clean import addon
from resources.lib.clean import openn
from resources.lib.clean import setView
from resources.lib.modules import client

burl = 'https://www.greek-drone-tube.eu'


def gr_dronemenu(url):
    r = client.request(url)  # menu
    data = client.parseDOM(r, 'ul', attrs={'class': 'dropdown-menu'})[0]
    data = client.parseDOM(data, 'li')

    for i in data:
        url = client.parseDOM(i, 'a', ret='href')[0]
        url = burl + url
        name = client.parseDOM(i, 'a')[0].encode('utf-8')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]'
                     % name, url, 5021,
                     'https://www.greek-drone-tube.eu/themes/zisis/images/logo-greek-drone-tube-red.png', addon.art, '')


def gr_drone_content(url):
    r = client.request(url)  # content
    soup = BeautifulSoup(r, "html.parser")
    for a in soup.find_all(class_="category-line-video"):
        url = a.a['href']
        url = url.replace('.', 'https://www.greek-drone-tube.eu/')
        name = a.a.next.encode('utf-8')
        de = a.find_all("p")
        for d in de:
            desc = d.text.encode('utf-8')
            for i in a.find_all(class_="img-responsive product-image"):
                icon = i['data-src']
                icon = "https://www.greek-drone-tube.eu/" + icon
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 300, icon, addon.art, desc)
    try:
        np = client.parseDOM(r, 'li', attrs={'class': 'next'})
        np = client.parseDOM(np, 'a', ret='href')[0]
        np = burl + np
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', np, 5021,
                     'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')
