# -*- coding: utf-8 -*-

import xbmc
import re

from resources.lib.modules import client
from resources.lib.clean import openn
from resources.lib.clean import addon

iconBOX = 'http://platinumgoldradio.co.za/wp-content/uploads/2018/02/onlineradiobox.png'
BASEURL = 'http://onlineradiobox.com/gr'
nextICON = 'http://www.freeiconspng.com/uploads/search-icon-png-22.png'


def radio_Menu():
    # ellada
    openn.addDir('[B][COLOR white]Ανατολική Μακεδονία και Θράκη[/COLOR][/B]', BASEURL + '/East_Macedonia_and_Thrace-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Αττική[/COLOR][/B]', BASEURL + '/Athens', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Βόρειο Αιγαίο[/COLOR][/B]', BASEURL + '/North_Aegean-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Δυτική Ελλάδα[/COLOR][/B]', BASEURL + '/West_Greece-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Δυτική Μακεδονία[/COLOR][/B]', BASEURL + '/West_Macedonia-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Ήπειρος[/COLOR][/B]', BASEURL + '/Epirus-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Θεσσαλία[/COLOR][/B]', BASEURL + '/Thessaly-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Ιόνια Νησιά[/COLOR][/B]', BASEURL + '/Ionian_Islands-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Κεντρική Ελλάδα[/COLOR][/B]', BASEURL + '/Central_Greece-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Κεντρική Μακεδονία[/COLOR][/B]', BASEURL + '/Central_Macedonia-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Κρήτη[/COLOR][/B]', BASEURL + '/Crete-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Νότιο Αιγαίο[/COLOR][/B]', BASEURL + '/South_Aegean-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Πελοπόννησος[/COLOR][/B]', BASEURL + '/Peloponnese-/', 4001, iconBOX, addon.art, '')
    # gousta
    openn.addDir('[B][COLOR white]Αθλητικά[/COLOR][/B]', BASEURL + '/genre/sports/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Ειδήσεις[/COLOR][/B]', BASEURL + '/genre/news/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Θρησκευτικά[/COLOR][/B]', BASEURL + '/genre/religious-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Κλασσική μουσική[/COLOR][/B]', BASEURL + '/genre/classic-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Μουσική ρετρό[/COLOR][/B]', BASEURL + '/genre/oldies-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Μουσική Rock[/COLOR][/B]', BASEURL + '/genre/rock-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Μουσική Pop[/COLOR][/B]', BASEURL + '/genre/pop-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR white]Παραδοσιακή μουσική[/COLOR][/B]', BASEURL + '/genre/folk-/', 4001, iconBOX, addon.art, '')
    openn.addDir('[B][COLOR red]' + addon.Lang(32009).encode('utf-8') + '[/COLOR][/B]', '', 4002, nextICON, addon.art, '[B][COLOR green]Αναζήτηση[/COLOR][/B]')


def radio_con(url):
    r = client.request(url)
    data = client.parseDOM(r, 'li', attrs={'class': 'stations__station'})

    for i in data:
        try:
            icon = client.parseDOM(i, 'img', ret='src')[0]
            icon = 'http:' + icon
            name = client.parseDOM(i, 'figcaption', attrs={'class': 'station__title__name'})[0]
            urls = re.compile('stream="(.+?)"').findall(i)
            for url in urls:
                url = url.split(';')[0]
                openn.addLink('[B][COLOR white]%s[/COLOR][/B]' % name, url, '', icon, addon.art, '')
        except:
            pass
    try:
        m = re.compile('<dd><a href="(.+?)" class="ajax" rel="next"').findall(r)[0]
        openn.addDir('[B][COLOR green]Next Radios>>[/COLOR][/B]',
                     m, 4001, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενα Ράδιο[/COLOR][/B]')
    except:
        pass


def Search12():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'http://onlineradiobox.com/search?gr=&q=' + search
        radio_con(url)
    else:
        return
