# -*- coding: utf-8 -*-

from resources.lib.clean import openn
from resources.lib.clean import addon
from resources.lib.modules import plugintools, control
from bs4 import BeautifulSoup as bs
from resources.lib.modules import client
from resources.lib import pyxbmct

pyxbmct.skin.estuary = False


def WMN():
    openn.addDir('[B][COLOR yellow]Kitchen Lab[/COLOR][/B]', '', 5010, 'http://kitchenlabo.com/wp-content/uploads/2017/09/KLlogo.png', addon.art, '')
    openn.addDir('[B][COLOR yellow]Food[/COLOR][/B]', '', 5001, 'https://cdn.pixabay.com/photo/2014/04/02/16/22/chef-307076_960_720.png', addon.art, '')
    openn.addDir('[B][COLOR yellow]Fitness[/COLOR][/B]', '', 5002, 'https://cdn.pixabay.com/photo/2016/03/31/20/24/ball-1295735_960_720.png', addon.art, '')
    openn.addDir('[B][COLOR yellow]Faces[/COLOR][/B]', '', 5003, 'https://cdn.pixabay.com/photo/2017/08/25/11/55/faces-2679907_960_720.png', addon.art, '')
    openn.addDir('[B][COLOR yellow]Moda[/COLOR][/B]', '', 5004, 'http://modacolumbus.com/wp-content/uploads/2017/07/copper-logo-coming-soon800.png', addon.art, '')
    #openn.addDir('[B][COLOR yellow]Greece[/COLOR][/B]', '', 5005, '', addon.art, '')


###############################################################################################################################################################
mag = [
    #("[B][COLOR white]Akis Petretzikis[/COLOR][/B]", "channel/UC9DGkZrmvWPk-yqLawxTcfQ/playlists", 'https://yt3.ggpht.com/-hRyYdOeCeA0/AAAAAAAAAAI/AAAAAAAAAAA/2eJVXCit4SE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Foodouki[/COLOR][/B]", "channel/UCseWwyTJ_RGjuL5cohSj-4A/playlists", 'https://yt3.ggpht.com/-KlZguJfcTJ8/AAAAAAAAAAI/AAAAAAAAAAA/9wpc1T_8xKg/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Greek Kitchen[/COLOR][/B]", "channel/UCNPaZ2kABl49x-L8bJFd_Ug/playlists", 'https://yt3.ggpht.com/-mJd31u49dwo/AAAAAAAAAAI/AAAAAAAAAAA/c55Pu3RcmzA/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Mamatsita[/COLOR][/B]", "channel/UCLOzgzVTyF2tDnC00gzx5Aw/playlists", 'https://yt3.ggpht.com/-BzAFctFBUwQ/AAAAAAAAAAI/AAAAAAAAAAA/4sWDKkU5Qi0/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]TheCookgr Official[/COLOR][/B]", "channel/UC_ekKKUFIctiMUnf7eK_HoA/playlists", 'https://yt3.ggpht.com/-nemFNrW3heE/AAAAAAAAAAI/AAAAAAAAAAA/GhceXHzaQcs/s288-c-k-no-mo-rj-c0xffffff/photo.jpg', addon.art),
    ("[B][COLOR white]MagiaCookTv[/COLOR][/B]", "channel/UCIKUBR021Eh1t0bfuwvPg2w/playlists", 'https://yt3.ggpht.com/-gxckBjSyCJU/AAAAAAAAAAI/AAAAAAAAAAA/DuotulxOwUE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Dolmadaki gr Official[/COLOR][/B]", "channel/UCbyhSwWr22Yl8vmiQkbLZJA/playlists", 'https://yt3.ggpht.com/-koc9lCefFA0/AAAAAAAAAAI/AAAAAAAAAAA/JN990lQi3m0/s288-c-k-no-mo-rj-c0xffffff/photo.jpg', addon.art),
    ("[B][COLOR white]Paxxi[/COLOR][/B]", "channel/UC1LT80W3m0JCPj5kIaB_E9A/playlists", 'https://yt3.ggpht.com/-dXO3I1hcqe8/AAAAAAAAAAI/AAAAAAAAAAA/wcjUVVvolCU/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Αερικές Εποχές[/COLOR][/B]", "channel/UCdGtzIPpULSH1MS6miSLiKw/playlists", 'https://yt3.ggpht.com/-Wl8LgVlM3UA/AAAAAAAAAAI/AAAAAAAAAAA/30AzEBKWsBI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Γεύση και Οικονομία[/COLOR][/B]", "channel/UCR0s50iJ7iPPr-I6tTM4q5w/playlists", 'https://yt3.ggpht.com/-cyWJ0Ygsd7I/AAAAAAAAAAI/AAAAAAAAAAA/hQBTtDrmgdU/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Η κουζίνα του Ευτύχη Official[/COLOR][/B]", "channel/UCiSvxknl08ngPffdWtoUi7Q/playlists", 'https://yt3.ggpht.com/-TIrxP0EaUGY/AAAAAAAAAAI/AAAAAAAAAAA/0Fo_y5DmkR4/s288-c-k-no-mo-rj-c0xffffff/photo.jpg', addon.art),
    ("[B][COLOR white]Φαγητά & γλυκά Official[/COLOR][/B]", "channel/UCJEnSm24i0CZ3iseQlklFYw/playlists", 'https://yt3.ggpht.com/-6j707R6c23Q/AAAAAAAAAAI/AAAAAAAAAAA/0n5FdWK1_l8/s288-c-k-no-mo-rj-c0xffffff/photo.jpg', addon.art),
    ("[B][COLOR white]Για Εργαζόμενους[/COLOR][/B]", "channel/UCJEnSm24i0CZ3iseQlklFYw/playlists", 'https://yt3.ggpht.com/-6j707R6c23Q/AAAAAAAAAAI/AAAAAAAAAAA/0n5FdWK1_l8/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art)

]


def gmag(params):
    for name, id, icon, fanart in mag:
        plugintools.add_item(title=name, url="plugin://plugin.video.youtube/" + id + "/", thumbnail=icon, fanart=addon.art, folder=True)


##################################################################################################################################################################
gim = [
    ("[B][COLOR white]Homefitness[/COLOR][/B]", "channel/UCFX3SehRfnpoZdHQHVEMXKg/playlists", 'https://yt3.ggpht.com/-ZKpzsNssESc/AAAAAAAAAAI/AAAAAAAAAAA/Kga44LspItc/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]MyLiveGymTV[/COLOR][/B]", "channel/UCDy8aqQCXWs4HsQ2NzdeQwQ/playlists", 'https://yt3.ggpht.com/-uSL1uH2Pnoo/AAAAAAAAAAI/AAAAAAAAAAA/_LbJn-eF2kM/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]MyFitCompass[/COLOR][/B]", "channel/UC9iHYsQu1W-WRLIGBwhhcfg", 'https://yt3.ggpht.com/-F1N6RCP6qks/AAAAAAAAAAI/AAAAAAAAAAA/CIqWHqy6mqc/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]2ActiveLab[/COLOR][/B]", "channel/UCR4PVovV5-px3ZskP4ShkaQ/playlists", 'https://yt3.ggpht.com/-K6zQQjDi5V0/AAAAAAAAAAI/AAAAAAAAAAA/55P8XrWPz7g/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]YOGAGREECE[/COLOR][/B]", "channel/UCa74vvVFK-GG209e9Y5dpIg/playlists", 'https://yt3.ggpht.com/-Kg6ye1BrrQU/AAAAAAAAAAI/AAAAAAAAAAA/XQj7UBdB7_g/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Diamond's Fit Tips[/COLOR][/B]", "channel/UC37v23_OzpDT9dw13CkpflQ/playlists", 'https://yt3.ggpht.com/-FYL2X43VCqo/AAAAAAAAAAI/AAAAAAAAAAA/kzI_LKQEevY/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Workouts for Women[/COLOR][/B]", "channel/UCDx9HoiL6bBEhYC650VIECQ/playlists", 'https://yt3.ggpht.com/-n3vE5n3gVYQ/AAAAAAAAAAI/AAAAAAAAAAA/KzoSIgGisg0/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Dimi devil[/COLOR][/B]", "channel/UCtZG5BBZr2HVFv7shaDGn9A/playlists", 'https://yt3.ggpht.com/-tuZVSVxlekA/AAAAAAAAAAI/AAAAAAAAAAA/T8kN0Lkv5E8/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]POPSUGAR Fitness[/COLOR][/B]", "channel/UCBINFWq52ShSgUFEoynfSwg/playlists", 'https://yt3.ggpht.com/-BsrLTcw7rsg/AAAAAAAAAAI/AAAAAAAAAAA/e7g-a22BudQ/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]FitnessBlender[/COLOR][/B]", "channel/UCiP6wD_tYlYLYh3agzbByWQ/playlists", 'https://yt3.ggpht.com/-60HgUrZsM18/AAAAAAAAAAI/AAAAAAAAAAA/EhMzQ6LTPOk/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]BeFiT[/COLOR][/B]", "channel/UCD0nBMLdq_KbIK9u-mzpNkA/playlists", 'https://yt3.ggpht.com/-H6YodrSuTiQ/AAAAAAAAAAI/AAAAAAAAAAA/mcMy87MgLEI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Athlean-XX for Women[/COLOR][/B]", "channel/UCy_cuwmA9gnABoe-YIT0tyQ/playlists", 'https://yt3.ggpht.com/-d-QjbPBQ7jU/AAAAAAAAAAI/AAAAAAAAAAA/mO9qBcJNhzo/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Love Sweat Fitness[/COLOR][/B]", "channel/UCXxIurzUx2ztE6D5IzcyTcw/playlists", 'https://yt3.ggpht.com/-WBi_lGT1WPU/AAAAAAAAAAI/AAAAAAAAAAA/ZfIu98mkSM4/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Whitney Simmons[/COLOR][/B]", "channel/UCEQi1ZNJiw3YMRwni0OLsTQ/playlists", 'https://yt3.ggpht.com/-3w2CwlWvzWk/AAAAAAAAAAI/AAAAAAAAAAA/ofH79w2GU8U/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Heidi Somers[/COLOR][/B]", "channel/UCtqrBZiHY6SyzJGqyadx5HQ/playlists", 'https://yt3.ggpht.com/-YGs8LyBQjew/AAAAAAAAAAI/AAAAAAAAAAA/koPtX5IMbj8/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Blogilates[/COLOR][/B]", "channel/UCIJwWYOfsCfz6PjxbONYXSg/playlists", 'https://yt3.ggpht.com/-706JtftpW58/AAAAAAAAAAI/AAAAAAAAAAA/5BwaDJDNZ6c/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Koboko Fitness[/COLOR][/B]", "channel/UCKO8zrU3WTo_L-QZw3VQ1aQ/playlists", 'https://yt3.ggpht.com/-SKOFHNMnfpU/AAAAAAAAAAI/AAAAAAAAAAA/L0UcMq2J6fE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Chloe Ting[/COLOR][/B]", "channel/UCCgLoMYIyP0U56dEhEL1wXQ/playlists", 'https://yt3.ggpht.com/-gKkuijRSdjQ/AAAAAAAAAAI/AAAAAAAAAAA/wOiYIYuw6-o/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art)
]


def ggim(params):
    for name, id, icon, fanart in gim:
        plugintools.add_item(title=name, url="plugin://plugin.video.youtube/" + id + "/", thumbnail=icon, fanart=addon.art, folder=True)


##################################################################################################################################################################
pro = [
    ("[B][COLOR white]Mary Sinatsaki[/COLOR][/B]", "channel/UCCt5t6HdEiitcD1wm1ue1jA/playlists", 'https://yt3.ggpht.com/-2TsI2FCGOO0/AAAAAAAAAAI/AAAAAAAAAAA/-LNrvGzenx8/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Sissy Christidou[/COLOR][/B]", "channel/UCtn0EuRJdMNMCUlZGSqJlSg/playlists", 'https://yt3.ggpht.com/--v4gJyA3njY/AAAAAAAAAAI/AAAAAAAAAAA/sbdd4gz9g0E/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Evridiki Valavani[/COLOR][/B]", "channel/UC05dAjr4fzY5YEoVJ0Z7DTg", 'https://yt3.ggpht.com/-Sn0J9hPMyRE/AAAAAAAAAAI/AAAAAAAAAAA/hlI2HD01hDE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]FansOfEleniMenegaki[/COLOR][/B]", "channel/UC4sPfixDRkpkF4dM-H66T0w", 'https://yt3.ggpht.com/-fRlQeRq6WvA/AAAAAAAAAAI/AAAAAAAAAAA/krFdpl6mLPo/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Youweekly Gr[/COLOR][/B]", "channel/UCGL_s2a9wNG0j_TJY4hmBTQ", 'https://yt3.ggpht.com/-dsvdCYoU94Y/AAAAAAAAAAI/AAAAAAAAAAA/wS_CsvlQ340/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Φώτα! Κάμερα! Πάμε![/COLOR][/B]", "channel/UCBOw4g6G-r9k6icqKZgGt7A/playlists", 'https://yt3.ggpht.com/-DsM2LUnFmrU/AAAAAAAAAAI/AAAAAAAAAAA/RCk9nHmK6TI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]zappit.gr[/COLOR][/B]", "channel/UCdm_VWXKQTsQOVjV0YLq8-g", 'https://yt3.ggpht.com/-IYzqLGaAhPA/AAAAAAAAAAI/AAAAAAAAAAA/rfV_LCNbjYY/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Media Magazine[/COLOR][/B]", "channel/UCXGEN0gY96CKJDpPwU-ZiYA", 'https://yt3.ggpht.com/-0bNOPhlT_RI/AAAAAAAAAAI/AAAAAAAAAAA/eDvhFKxyys4/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]entertvgr[/COLOR][/B]", "channel/UCLxairbRlMEyxfSIgw-pICg", 'https://yt3.ggpht.com/-s-zbqBXuJNg/AAAAAAAAAAI/AAAAAAAAAAA/nSPal9vciV4/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]alterinfogr[/COLOR][/B]", "channel/UCCE4qRQWMLEUEElHFHR0ESA", 'https://yt3.ggpht.com/-K0nRxUbfXz8/AAAAAAAAAAI/AAAAAAAAAAA/pN1-0zX7_lU/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]OUTERLIMITS-LYKOS TEAM HELLAS[/COLOR][/B]", "channel/UCFrk3J4NxgPLqOj-F1lJbWw/playlists", 'https://yt3.ggpht.com/-_sJqpxz8WFo/AAAAAAAAAAI/AAAAAAAAAAA/ZDwOEsHAaf0/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art)
]


def ppro(params):
    for name, id, icon, fanart in pro:
        plugintools.add_item(title=name, url="plugin://plugin.video.youtube/" + id + "/", thumbnail=icon, fanart=addon.art, folder=True)


##################################################################################################################################################################
mod = [
    ("[B][COLOR white]Vicky Smiles[/COLOR][/B]", "channel/UCT4Yq5t2Kr6XDhJExs13E7A/playlists", 'https://yt3.ggpht.com/-lFOIuTLRtNE/AAAAAAAAAAI/AAAAAAAAAAA/i-rVaZhvn3k/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Polinas Beauty[/COLOR][/B]", "channel/UCkqtpKUjaVfphBF0TRRbGtQ/playlists", 'https://yt3.ggpht.com/-Rf3SSU26bpc/AAAAAAAAAAI/AAAAAAAAAAA/Tw_iNyn4NaE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Jane Sore[/COLOR][/B]", "channel/UC5tyHz62sylGfPJNCTqepbw/playlists", 'https://yt3.ggpht.com/-L_0L7LW8DA4/AAAAAAAAAAI/AAAAAAAAAAA/oGsXB7w4uhg/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Sonia Th[/COLOR][/B]", "channel/UCvNrb4oOOQFjO31sF-xDp_A/playlists", 'https://yt3.ggpht.com/-qB-Vzql4pxk/AAAAAAAAAAI/AAAAAAAAAAA/bfPxcuM9_QI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Gina[/COLOR][/B]", "channel/UCuxAOvdc4v1Otlizte2IjUA/playlists", 'https://yt3.ggpht.com/-3KwBSsxGCP8/AAAAAAAAAAI/AAAAAAAAAAA/WG9lpaaf0WE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Gio Dreveli[/COLOR][/B]", "channel/UCqzeyVw3Gr6QPv4JwCC1sWw/playlists", 'https://yt3.ggpht.com/-ue8YfzTQAMU/AAAAAAAAAAI/AAAAAAAAAAA/38AcREwGl0M/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Fashion Channel[/COLOR][/B]", "channel/UCepVy23t8l-CEaASZzfo9Jg/playlists", 'https://yt3.ggpht.com/-eQ267Gu6BS4/AAAAAAAAAAI/AAAAAAAAAAA/UYvSltp4KVQ/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]VILLA'S VOGUE[/COLOR][/B]", "channel/UC7LHnSedr1K0l3lp5IlMC5g", 'https://yt3.ggpht.com/-hmLohU3zfMQ/AAAAAAAAAAI/AAAAAAAAAAA/rzojs42Gm2k/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Yaers Fashion TV[/COLOR][/B]", "channel/UC9inih1P9aUuJ3xtEqyIJcQ/playlists", 'https://yt3.ggpht.com/-ZiQL6nUVgTs/AAAAAAAAAAI/AAAAAAAAAAA/JJ1B3ow0UYk/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]FF Channel[/COLOR][/B]", "channel/UC3T5fmgL4Kvk3kG1kF6JFeA/playlists", 'https://yt3.ggpht.com/-wWokYDYoBLo/AAAAAAAAAAI/AAAAAAAAAAA/BobFfDIDo6o/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]CHANEL[/COLOR][/B]", "channel/UCclHSnngVTZK7LEOQAzcg1w/playlists", 'https://yt3.ggpht.com/-MtJ8vqJfYTo/AAAAAAAAAAI/AAAAAAAAAAA/ftWEwKBTSZI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]GUCCI[/COLOR][/B]", "channel/UCo6fjlKg6GuCmEMeqYbGJng/playlists", 'https://yt3.ggpht.com/-fnGau6UcJ0g/AAAAAAAAAAI/AAAAAAAAAAA/c1QGuxtwxtE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Louis Vuitton[/COLOR][/B]", "channel/UC5q0PIKGr2lGOsiT14AlEYg/playlists", 'https://yt3.ggpht.com/-XZxjk3C470g/AAAAAAAAAAI/AAAAAAAAAAA/ck5j6ArNuKI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Versace[/COLOR][/B]", "channel/UCrx5pVziMo1qzF8isicR5SQ/playlists", 'https://yt3.ggpht.com/-IhM7krC-c1Y/AAAAAAAAAAI/AAAAAAAAAAA/r0JFeTxNkqs/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Dolce & Gabbana[/COLOR][/B]", "channel/UCnsNsFAFPvFwpbaHJf2JtCQ/playlists", 'https://yt3.ggpht.com/-49jM12a1usE/AAAAAAAAAAI/AAAAAAAAAAA/xRaVF0Vab4M/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Vogue[/COLOR][/B]", "channel/UCRXiA3h1no_PFkb1JCP0yMA/playlists", 'https://yt3.ggpht.com/-ZjnF2tgOMbM/AAAAAAAAAAI/AAAAAAAAAAA/hq47_GKOLXY/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Fashion Love[/COLOR][/B]", "channel/UCRVOsDV0olIM5Xqn4Nigvvg/playlists", 'https://yt3.ggpht.com/-ZuOyxMbrjW8/AAAAAAAAAAI/AAAAAAAAAAA/fsr9irNaZbI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]New Style[/COLOR][/B]", "channel/UCQ80PMWovjgR0dTp_fzPs2g/playlists", 'https://yt3.ggpht.com/-8Acjk-YllYw/AAAAAAAAAAI/AAAAAAAAAAA/hV7SFyeB4lQ/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]MODA Y ESTILO[/COLOR][/B]", "channel/UCPH_LNKvy32DSCVjSRLwhdw", 'https://yt3.ggpht.com/-zeX220egCj8/AAAAAAAAAAI/AAAAAAAAAAA/p4s3Mk2PVGE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Magda Tips[/COLOR][/B]", "channel/UCnKJQgBWjBTE9mFIHn0Bv8w/playlists", 'https://yt3.ggpht.com/-3Sa6o4H1d2o/AAAAAAAAAAI/AAAAAAAAAAA/P_rCvNp_jkM/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art)
]


def mmod(params):
    for name, id, icon, fanart in mod:
        plugintools.add_item(title=name, url="plugin://plugin.video.youtube/" + id + "/", thumbnail=icon, fanart=addon.art, folder=True)


##################################################################################################################################################################
gr = [
    ("[B][COLOR white]Cretetv Antitheseis[/COLOR][/B]", "channel/UCaR9ZClw2irsJ8RMm31KNvA/playlists", 'https://yt3.ggpht.com/-DcF3UMSxB3A/AAAAAAAAAAI/AAAAAAAAAAA/4_7HBnwsCsw/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Ροδιακή Εφημερίδα[/COLOR][/B]", "channel/UCq9IVpzAM6d1C0oCtqZERoQ/playlists", 'https://yt3.ggpht.com/-flEel_700Xw/AAAAAAAAAAI/AAAAAAAAAAA/U7r8F6pm95s/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Ionian & Aegean Island Holidays[/COLOR][/B]", "channel/UCyZ7bGPywih2nBTAiWk5Kjw/playlists", 'https://yt3.ggpht.com/-aPS6tizHYM8/AAAAAAAAAAI/AAAAAAAAAAA/37-1t2RIy_w/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]ionian channel[/COLOR][/B]", "channel/UCGM649s8wdiDruTJDgeOMCQ/playlists", 'https://yt3.ggpht.com/-PUpunB2r9E0/AAAAAAAAAAI/AAAAAAAAAAA/YDiF2F_7NkI/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Greg Stachura 4K[/COLOR][/B]", "channel/UC0xgJ2-zhzYYqClv7JQ5vmg/playlists", 'https://yt3.ggpht.com/-7tWy95S1N-Y/AAAAAAAAAAI/AAAAAAAAAAA/Ja8p1JNNyvY/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]My Lefkada[/COLOR][/B]", "channel/UCWYJx9r2qwZpgn7RSiPwuuA/playlists", 'https://yt3.ggpht.com/-xdJJu1aL6lM/AAAAAAAAAAI/AAAAAAAAAAA/wXwZXM0UCw0/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Alithia Chios[/COLOR][/B]", "channel/UCHblWnb-6Rt904hFql5cM5Q/playlists", 'https://yt3.ggpht.com/-gmg948Gl6xY/AAAAAAAAAAI/AAAAAAAAAAA/TebzLALxrqk/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]ΠΑΤΡΙΔΑ Chios[/COLOR][/B]", "channel/UCQimL_ynBzD8QlDa4YRtJnA/playlists", 'https://yt3.ggpht.com/-LXs6S_KscxI/AAAAAAAAAAI/AAAAAAAAAAA/CkTQAor-A7k/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Visit Chios[/COLOR][/B]", "channel/UC_0FCp2r6njGCDbq1g7tq-Q/playlists", 'https://yt3.ggpht.com/-dlzJe_eP9IQ/AAAAAAAAAAI/AAAAAAAAAAA/ex_AvSGbOEE/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]LesvosPost.com[/COLOR][/B]", "channel/UCamM7x0jajjiq5bOnGOmpGQ/playlists", 'https://yt3.ggpht.com/-WEGv4UuYt38/AAAAAAAAAAI/AAAAAAAAAAA/ldxZTppvai0/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Λημνος Ρεπορτ[/COLOR][/B]", "channel/UCPd0kmfulKVyEER1waAIc7Q/playlists", 'https://yt3.ggpht.com/-ypkCQW_AL10/AAAAAAAAAAI/AAAAAAAAAAA/vDnvyVjS4t0/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Mykonos Live[/COLOR][/B]", "channel/UCQo4i-5TOS65YZMxGsQPzvQ/playlists", 'https://yt3.ggpht.com/-5QetTFhDEYQ/AAAAAAAAAAI/AAAAAAAAAAA/mZUBz895A6k/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Naxotv George Deoudes[/COLOR][/B]", "channel/UCk--fjkVWfwq48i04mvkZAg/playlists", 'https://yt3.ggpht.com/-y4G-8nNxwlE/AAAAAAAAAAI/AAAAAAAAAAA/e79vvHy4DAk/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]Cyclades24.gr[/COLOR][/B]", "channel/UCthKcM2JA69kNz2txL_wmMA/playlists", 'https://yt3.ggpht.com/-KPi9vsW1ImI/AAAAAAAAAAI/AAAAAAAAAAA/hfT2v9rG8a8/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art),
    ("[B][COLOR white]sportcyclades[/COLOR][/B]", "channel/UCwDP-n-mhgmfGEQ0trx_Big/playlists", 'https://yt3.ggpht.com/-TrESWF3qHTg/AAAAAAAAAAI/AAAAAAAAAAA/_lqSY4lsZWM/s288-mo-c-c0xffffffff-rj-k-no/photo.jpg', addon.art)

]


def greece(params):
    for name, id, icon, fanart in gr:
        plugintools.add_item(title=name, url="plugin://plugin.video.youtube/" + id + "/", thumbnail=icon, fanart=addon.art, folder=True)


##################################################################################################################################################################


def run():
    plugintools.log("youtubeAddon.run")

    params = plugintools.get_params()

    if params.get("action") is None:
        you_list(params)
    else:
        action = params.get("action")
        exec action + "(params)"

    plugintools.close_item_list()


def you_list(params):
    plugintools.log("youtubeAddon.you_list " + repr(params))


##################################################################################################################################################################
homeicon = 'https://akispetretzikis.com/assets/cover_rotated-f3ee3d4a8d06bc345c0523c26a49816176f26b706d78dde17c753b3fe07c370e.png'
burl = 'https://akispetretzikis.com'
aurl = 'https://akispetretzikis.com/el'


def akis_menu():
    openn.addDir('Νέα Videos', aurl + '/videos', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Top Rated Videos', aurl + '/videos?sort=top', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Kitchen Lab TV', aurl + '/recipe_videos_categories/21', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('#askAkis', aurl + '/askakis', 5013, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Taste The Day', aurl + '/recipe_videos_categories/20', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Η διατροφή του Άκη', aurl + '/recipe_videos_categories/22', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Drinks Lab', aurl + '/recipe_videos_categories/1', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Μόνο Χέρια', aurl + '/recipe_videos_categories/13', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Tips', aurl + '/tips?videos=1', 5013, 'homeicon', addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Cooking with friends', aurl + '/recipe_videos_categories/19', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Live', aurl + '/recipe_videos_categories/18', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Γλυκά', aurl + '/recipe_videos_categories/glyka', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Θαλασσινά-Ψάρια', aurl + '/recipe_videos_categories/thalassina-psaria', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Κρέας', aurl + '/recipe_videos_categories/kreas', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Κυρίως Γεύμα', aurl + 'l/recipe_videos_categories/kyriws-geyma', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Ορεκτικά', aurl + '/recipe_videos_categories/orektika', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Παραδοσιακές συνταγές', aurl + '/recipe_videos_categories/paradosiakes-syntages', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Πάσχα', aurl + '/recipe_videos_categories/pascha', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Σάλτσες-Μαρινάδες', aurl + '/recipe_videos_categories/saltses-marinades', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Σνακ', aurl + '/recipe_videos_categories/snak', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Χριστούγεννα', aurl + '/recipe_videos_categories/christoygenna', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Ψωμιά - Ζύμες', aurl + '/recipe_videos_categories/pswmia-zymes', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Brunch', aurl + '/recipe_videos_categories/brunch', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')
    openn.addDir('Vegetarian', aurl + '/recipe_videos_categories/vegetarian', 5011, homeicon, addon.art, 'www.akispetretzikis.com/el\n''www.akiseshop.com')


def akis_content(url):
    r = client.request(url, output='extended')  # content
    cj = r[3]
    token = client.parseDOM(r[0], 'meta', ret='content', attrs={'name': 'csrf-token'})[0]
    headers = {'Referer': url,
               'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.117 Safari/537.36',
               'X-CSRF-Token': token,
               'Cookie': cj,
               'Connection': 'keep-alive',
               'X-Requested-With': 'XMLHttpRequest'}

    r = client.request(url, headers=headers)
    r = r.replace('\\', '')
    data = client.parseDOM(r, 'div', attrs={'class': 'v_box recipe-card'})

    for i in data:
        h4 = client.parseDOM(i, 'h4')[0]
        url = client.parseDOM(h4, 'a', ret='href')[0]
        url = burl + url
        if 'zymes/skordopswmo' in url:
            continue
        name = client.parseDOM(h4, 'a')[0].strip().replace('n', '', -1).encode('utf-8')
        icon = client.parseDOM(i, 'img', ret='src')[0]
        icon = burl + icon
        desc = client.parseDOM(i, 'div', attrs={'class': 'v_cat'})[0]
        desc = client.parseDOM(desc, 'a')[0].encode('utf-8')
        desc = desc.replace('amp;', '')
        openn.addDir(name, url, 5012, icon, addon.art, desc)
    try:
        np = client.parseDOM(r, 'a', ret='href', attrs={'rel': 'next'})[0]
        np = burl + np
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', np, 5011, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass


def akis2_content(url):
    r = client.request(url, output='extended')  # content
    cj = r[3]
    token = client.parseDOM(r[0], 'meta', ret='content', attrs={'name': 'csrf-token'})[0]
    headers = {'Referer': url,
               'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.117 Safari/537.36',
               'X-CSRF-Token': token,
               'Cookie': cj,
               'Connection': 'keep-alive',
               'X-Requested-With': 'XMLHttpRequest'}

    r = client.request(url, headers=headers)
    r = r.replace('\\', '')
    data = client.parseDOM(r, 'div', attrs={'class': 'col-md-4 col-sm-4 col-xs-12 text-center'})

    for i in data:
        h4 = client.parseDOM(i, 'h4')[0]
        url = client.parseDOM(h4, 'a', ret='href')[0]
        url = burl + url
        if 'zymes/skordopswmo' in url:
            continue
        name = client.parseDOM(h4, 'a')[0].strip().replace('n', '', -1).encode('utf-8')
        icon = client.parseDOM(i, 'img', ret='src')[0]
        icon = burl + icon
        openn.addDir(name, url, 5014, icon, addon.art, '')
    try:
        np = client.parseDOM(r, 'a', ret='href', attrs={'rel': 'next'})[0]
        np = burl + np
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', np, 5013, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass


def akis_items(url):
    r = client.request(url)  # items
    data = client.parseDOM(r, 'div', attrs={'class': 'recipes-wrapper'})

    for i in data:
        # title = client.parseDOM(r, 'div', attrs={'class': 'col-md-12 col-sm-12 col-xs-12 text-center'})[0].encode('utf-8')
        name = client.parseDOM(i, 'h1', attrs={'class': 'title'})[0].encode('utf-8')
        link = client.parseDOM(i, 'iframe', ret='src')[0]
        link = 'http:' + link
        data2 = client.parseDOM(i, 'div', attrs={'class': 'mobile-ingredients col-xs-12 hidden-md hidden-lg'})
        sist = client.parseDOM(data2, 'div', attrs={'class': 'text'})
        for s in sist:
            sp = bs(s, "html.parser")
            sistatika = sp.text.strip().encode('utf-8')
        data3 = client.parseDOM(i, 'div', attrs={'class': 'method'})
        for m in data3:
            sp = bs(m, "html.parser")
            methodos = sp.text.strip().encode('utf-8')
            openn.addDir(name, link, 200, homeicon, addon.art, methodos)
    if control.setting('windows') == 'true':
        class MyWindow(pyxbmct.AddonDialogWindow):

            def __init__(self, title=''):
                super(MyWindow, self).__init__(title)
                self.setGeometry(1200, 700, 5, 2)
                self.set_controls()
                self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

            def set_controls(self):
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 0, 4, 1)
                self.textbox.setText(sistatika)
                self.textbox.autoScroll(7000, 7000, 7000)
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 1, 5, 1)
                self.textbox.setText(methodos)
                self.textbox.autoScroll(7000, 7000, 7000)
                self.close_button = pyxbmct.Button('[B][COLOR white]Κλείσε για βίντεο συνταγή[/COLOR][/B]''\n''(Return σε Android)')
                self.placeControl(self.close_button, 4, 0)
                self.connect(self.close_button, self.close)

            def setAnimation(self, control):
                control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                       ('WindowClose', 'effect=fade start=100 end=0 time=500',)])

        window = MyWindow('[B][COLOR yellow]%s[/COLOR][/B]' % (name))
        window.doModal()
        del window


def akis2_items(url):
    r = client.request(url)  # items
    data = client.parseDOM(r, 'div', attrs={'id': 'tip'})

    for i in data:
        name = client.parseDOM(i, 'div', attrs={'class': 'tip_title'})[0].encode('utf-8')
        link = client.parseDOM(i, 'iframe', ret='src')[0]
        link = 'http:' + link
        sist = client.parseDOM(i, 'div', attrs={'class': 'tip_body'})
        for s in sist:
            sp = bs(s, "html.parser")
            desc = sp.text.encode('utf-8')
            openn.addDir(name, link, 200, homeicon, addon.art, desc)
    if control.setting('windows') == 'true':
        class MyWindow(pyxbmct.AddonDialogWindow):

            def __init__(self, title=''):
                super(MyWindow, self).__init__(title)
                self.setGeometry(800, 600, 5, 2)
                self.set_controls()
                self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

            def set_controls(self):
                image = pyxbmct.Image(homeicon)
                self.placeControl(image, 0, 0, 4, 1)
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 1, 5, 1)
                self.textbox.setText(desc)
                self.textbox.autoScroll(7000, 7000, 7000)
                self.close_button = pyxbmct.Button('[B][COLOR white]Κλείσε για βίντεο[/COLOR][/B]''\n''(Return σε Android)')
                self.placeControl(self.close_button, 4, 0)
                self.connect(self.close_button, self.close)

            def setAnimation(self, control):
                control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                       ('WindowClose', 'effect=fade start=100 end=0 time=500',)])

        window = MyWindow('[B][COLOR yellow]%s[/COLOR][/B]' % (name))
        window.doModal()
        del window
